package edu.mermet.tp8.fenetres;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.ResourceBundle;

import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JSplitPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import edu.mermet.tp8.Application;

public class boiteDialogue extends JDialog{
	 private Application appli;
	 private JSplitPane panel;
	 private JList titres;
	 private JEditorPane textes;

	public boiteDialogue(Application appli) {
		super(appli,"Comment faire?",false);
		this.appli=appli;
		init();
	}

	private void init() {
		Collection<String> titles = new ArrayList<>();
		ResourceBundle bundle=ResourceBundle.getBundle("HowTo.titres");
		Iterator<String> iterator = bundle.keySet().iterator();
		while(iterator.hasNext()) {
			titles.add(bundle.getString(iterator.next()));
		}
		titres = new JList(titles.toArray());
		ResourceBundle bundle1=ResourceBundle.getBundle("HowTo.textes");
		titres.addListSelectionListener(action->{titres.getSelectedValue();});
		titres.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		textes = new JEditorPane();
		textes.setEditable(false);
		textes.setText(bundle1.getString("Comment faire?"));
		panel=new JSplitPane(JSplitPane.VERTICAL_SPLIT);
		panel.setLeftComponent(titres);
		panel.setRightComponent(textes);
		setContentPane(panel);
		setSize(300,150);
		setLocationRelativeTo(null);
		setVisible(true);
	}



}
